<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>hnqz-common</artifactId>
		<groupId>com.qunzhixinxi</groupId>
		<version>3.9.0</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>hnqz-common-taxhelper</artifactId>
	<packaging>jar</packaging>
	<description>税邦云模块</description>
	<properties>
		<common-io.version>2.8.0</common-io.version>
		<fastjson.version>1.2.69</fastjson.version>
		<httpclient.version>4.5.3</httpclient.version>
	</properties>


	<dependencies>
		<!--hutool-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-core</artifactId>
		</dependency>

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>${common-io.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		</dependency>

		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>${httpclient.version}</version>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>${fastjson.version}</version>
		</dependency>

		<!-- 配置国密加密sm的jar包 -->
<!--		<dependency>-->
<!--			<groupId>org.bouncycastle</groupId>-->
<!--			<artifactId>bcprov-jdk15on</artifactId>-->
<!--			<version>1.60</version>-->
<!--			<scope>system</scope>-->
<!--			<systemPath>${pom.basedir}/src/main/resources/lib/bcprov-jdk15on-1.60.jar</systemPath>-->
<!--		</dependency>-->

		<!-- https://mvnrepository.com/artifact/org.bouncycastle/bcprov-jdk15on -->
		<dependency>
			<groupId>org.bouncycastle</groupId>
			<artifactId>bcprov-jdk15on</artifactId>
			<version>1.60</version>
		</dependency>


		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-aop</artifactId>
		</dependency>
	</dependencies>
</project>
